.carousel {

    &__controls {
        position: absolute;
        z-index: 1;
        top: 0;
        left: 0;
        bottom: 0;
        display: flex;
        min-height: 3.5em;
        align-items: center;
        width: 100%;

        @media (max-width: $lg) {
            position: relative;
            margin-top: 1em;
        }
    }

    &__col-2 {
        display: flex;
        width: 50%;

        &--left {
            justify-content: flex-start;

            @media (max-width: $lg) {
                justify-content: flex-end;
                padding-right: 0.5em;
            }
        }

        &--right {
            justify-content: flex-end;

            @media (max-width: $lg) {
                justify-content: flex-start;
                padding-left: 0.5em;
            }
        }
    }

    &__icon {
        height: 6.5em;
        width: 6em;
        display: flex;
        align-items: center;
        transition: all 0.2s ease-in-out;

        @media (max-width: $lg) {
            height: 3em;
            width: 3em;
        }
        
        &:hover {
            transform: scale(1.1);
        }
    }

    &__prev {
        @extend .carousel__icon;
        justify-content: flex-end;
        border-top-right-radius: 50%;
        border-bottom-right-radius: 50%;
        background: rgba(225, 225, 225, 0.10);
        margin-left: -55px;

        &--dark {
            background: rgba(1, 1, 1, 0.10);
        }

        @media (max-width: $lg) {
            border-radius: 100%;
            justify-content: center;
        }

        i {
            padding-right: 20px;
            font-size: 1.5rem;
            color: $white;

            @media (max-width: $lg) {
                padding: 0;
                font-size: 1rem;
            }
        }
    }

    &__next {
        @extend .carousel__icon;
        justify-content: flex-start;
        border-top-left-radius: 50%;
        border-bottom-left-radius: 50%;
        background: rgba(225, 225, 225, 0.10);
        margin-right: -55px;

        &--dark {
            background: rgba(1, 1, 1, 0.10);
        }

        @media (max-width: $lg) {
            border-radius: 100%;
            justify-content: center;
        }

        i {
            padding-left: 20px;
            font-size: 1.5rem;
            color: $white;

            @media (max-width: $lg) {
                padding: 0;
                font-size: 1rem;
            }
        }
    }
}